Page MenuHomePhabricator

Disable default quick survey on beta cluster
Closed, ResolvedPublic

Description

Currently the beta cluster has 3 QuickSurveys configured on labs via $wgQuickSurveysConfig

This is not helpful as it causes noise on our performance dashboards by loading more JS than necessary.

Ideally the surveys should only show to Selenium users and developers who have manually opted into the surveys.
When disabling make sure the browser test build that runs on the beta cluster continues to pass.

Event Timeline

Jdlrobson created this task.Mar 6 2017, 7:33 PM
Restricted Application added subscribers: TerraCodes, Aklapper. ยท View Herald TranscriptMar 6 2017, 7:33 PM

Change 342177 had a related patch set uploaded (by Harjotsingh):
[mediawiki/extensions/QuickSurveys] Disable default quick survey

https://gerrit.wikimedia.org/r/342177

Change 342177 abandoned by Harjotsingh:
Disable default quick survey

https://gerrit.wikimedia.org/r/342177

Change 342443 had a related patch set uploaded (by Harjotsingh):
[operations/mediawiki-config] Disable default quick survey

https://gerrit.wikimedia.org/r/342443

phuedx added a subscriber: hashar.Mar 13 2017, 1:16 PM

@hashar helpfully hinted that rOMWC7c8531b7479d: quickSurveys: Disable surveys on Beta Cluster would break the daily QuickSurveys build. Fortunately, this is simple to fix.

Change 342443 merged by jenkins-bot:
[operations/mediawiki-config] quickSurveys: Disable surveys on Beta Cluster

https://gerrit.wikimedia.org/r/342443

Change 342634 had a related patch set uploaded (by Phuedx):
[mediawiki/extensions/QuickSurveys] Don't run bucketing scenarios against Beta Cluster

https://gerrit.wikimedia.org/r/342634

Change 342634 merged by jenkins-bot:
[mediawiki/extensions/QuickSurveys] Don't run bucketing scenarios against Beta Cluster

https://gerrit.wikimedia.org/r/342634

I've also reimported the Barack Obama page so that we should get a closer value for HTML and images.
Hopefully in a few hours when next build runs we will see some consistency.

Build #344 passed ๐Ÿ‘

Jdlrobson closed this task as Resolved.Mar 14 2017, 7:03 PM

LGTM
Browser tests are passing and https://grafana.wikimedia.org/dashboard/db/mobile-2g?panelId=69&fullscreen shows that the CSS and JS are now more consistent between BC and stable.